From: steven hecker <[email-masked]>
Date: Fri, 10 Dec 93 09:14:37 -0500

Although I have not been to the last 2 meetings (we sent someone else),
I am still alive and active in CPI-C. No, the LIRR gunman didn't get me.

I'm not sure what was proposed at the December meeting, but here
are my thoughts:

The way I see it, there are two different reasons for specifying
a local address (LU):
	1) To specify which LU to allocate a conversation on.
	2) To specify which LU to accept a conversation on.

To solve (1) I propose two functions, basically mirroring the 
Set_Partner_LU_Name and Extract_Partner_LU_Name functions:

	Set_Source_LU_Name
		cmssln(	conversation_ID,
				source_LU_name,
				source_LU_name_length,
				return_code )

	Extract_Source_LU_Name
		cmesln(	conversation_ID,
				source_LU_name,
				source_LU_name_length,
				return_code )

	Also, the source_lu should be another parameter to be stored
	in the side information. 

To solve (2), I would look for a functiona similar to Specify_TP_Name:

	Specify_Accept_LU_Name

		cmsaln(	accept_LU_name,
				accept_LU_name_length,
				return_code )

	Do we want the functionality to have a list of local lus to accept
	on (as we do with Specify_TP_Name), or is one LU sufficient? As far
	as I'm concerned, one LU is enough, and the user can change the
	LU for each Accept call, if so desired.

I'm looking forward to hearing other people suggestions.

------------------------
Steve Hecker	
Systems Strategies, Inc.
steven@ssiny